# Kernel Arguments

    /boot/kernel/tsuki-0.1.velx [arguments ...]

## --security
This argument changes the security enviroment of the Tsuki kernel.

### --security=none
This disables most of Tsuki's security modules, leaving the system in a vulnerable state.

### --security=noverify
This disables executable verification. This is default.

### --security=full
This enables all security features.

### --security=permissive
This makes all security errors into logged messages.

## --root=partspec
This mounts the partition as the root (`/`). An example partspec would be `osdi(f81aa211-3552-4196-91f6-57cc51c3ebfb,2)`

